/**
 * @作者 Junes @email 49201650@qq.com
 */

/**
 * @功能 显隐
 */

 //显示
 function showById(argId){
 	var obj=document.getElementById(argId);
	obj.style.display="block";
 }
 function showByName(argName){
 	var obj=document.getElementsByName(argName);
	for(var i=0;i<obj.length;i++){
		obj[i].style.display="block";
	}
 }
 
 //隐藏
 function hideById(argId){
 	var obj=document.getElementById(argId);
	obj.style.display="none"
 }
 function hideByName(argName){
 	var obj=document.getElementsByName(argName);
	for(var i=0;i<obj.length;i++){
		obj[i].style.display="none";
	}
 }
 
 //显隐
 function accordion(argName,argId){
	 var objContents=document.getElementsByName(argName);
	 var obj=document.getElementById(argId);
	 
	 if(obj.style.display=="block"){
		 obj.style.display="none";
		 return;
	 }
	 
	 for(var i=0;i<objContents.length;i++){
		 objContents[i].style.display="none";
	}
	 obj.style.display="block";
 }
 
 function toggleById(argId){
	var obj=document.getElementById(argId);
	if(obj.style.display=="block"||obj.style.display==""){
		obj.style.display="none";
		return;
	}
	obj.style.display="block";
 }
 

//图片切换与内容显隐
 function toggleAsImg(objId,objImgId,imgSrc1,imgSrc2){
 	var obj=document.getElementById(objId);
 	var objImg=document.getElementById(objImgId);
 	if(obj.style.display=="none"){
 		obj.style.display="block";
 		objImg.src=imgSrc1;
 	}else{
 		obj.style.display="none";
 		objImg.src=imgSrc2;
 	}
 }
 //listitem暂不支持使用js控制右边图标更换，欲用此功能，敬请等待
 function accordionAsRicon(argName,argId,imgDefaultSrc,imgReplaceSrc){
	 var objContents=document.getElementsByName(argName);
	 var obj=document.getElementById(argId);
	 
	 if(obj.style.display=="block"){
		 obj.style.display="none";
		 obj.ricon=imgDefaultSrc;
		 return;
	 }
	 
	 for(var i=0;i<objContents.length;i++){
		 objContents[i].style.display="none";
		 objContents[i].ricon=imgDefaultSrc;
	}
	 obj.style.display="block";
	 obj.ricon=imgReplaceSrc;
 }
//开关与容器显隐
 function onswitch(switchid,relevantid){
 	var objswitch=document.getElementById(switchid);
 	var objrelevant=document.getElementById(relevantid);
 	if(objswitch.checked==false){
 		objswitch.checked=false;
 		objrelevant.className="hide";
 	}else{
 		objswitch.checked=true;
 		objrelevant.className="show";
 	}
 }
 
  //显隐并改变文字
 function toggleAsFont(fontobj,fontdefault,fontreplace,content){
 	var fontdiv=document.getElementById(fontobj);
 	var con=null;
	con=document.getElementsByName(content);
	if(fontdiv.innerHTML==fontdefault){
		fontdiv.innerHTML=fontreplace;
		for(var i=0;i<con.length;i++){
			con[i].style.display="block";
		}
		return;
	}
	fontdiv.innerHTML=fontdefault;
	for(var i=0;i<con.length;i++){
		con[i].style.display="none";
	}
 }
 /**
  * @日期 获得日期
  */
//获得当前日期
 function getCurrentDate(){
 	var currentDate=new Date();
 	var year=currentDate.getFullYear();
 	var month=currentDate.getMonth()+1;
 	var day=currentDate.getDate();
 	var fulldate=year+"-"+month+"-"+day;
 	return fulldate;
 }
 //获得当前时间
 function getCurrentTime(){
 	var currentDate=new Date();
 	var year=currentDate.getHours();
 	var month=currentDate.getMinutes();
 	var text=year+":"+month;
 	return text;
 }
 
 /**
 * @通讯录 通信功能
 */
//打电话
 var number="";
 function call(argMessage,argNumber){
 	number=argNumber;
 	if(!confirm(argMessage,tel)){
 		return;
 	}
 }
 function tel(){
 	Util.tel(number);
 }
 
 function callNumber(argNumber){
	 number=argNumber;
	 tel();
 }
//发信息
  function sendMes(phonenumber,mescontent){
  	num=document.getElementById(phonenumber).value;
  	content=document.getElementById(mescontent).value;
 	if(Util.sendSms(num,content)){
 		alert("发送短信成功！");
 		window.close();
 		return;
 	}
 	alert("发送短信失败，请检查号码是否正确或手机是否有信号！");
 }
 
 /**
 * @改变文字
 */
function fontColor(argFont,argColor){
	argFont.style.color=argColor;
}
/**
 * @改变值
 */
function clearValue(argId){
	document.getElementById(argId).value="";
}